import { FIELD_COMPONENT_STRATEGY_REGISTRY as c } from "./strategies/registry.js";
function p(n, o) {
  const t = n.fieldType.componentId, e = c[t];
  if (!e)
    return null;
  const r = {
    field: n,
    props: o
  };
  return e.render(r);
}
export {
  p as resolveFieldComponent
};
